Package org.jfree.report.flow

## Interface ReportContext

- All Known Implementing Classes:
    `ReportContextImpl`

      public interface ReportContext

  THe global report context. This context acts as global structure that holds all processing factories and allows to store global attributes. The attribute collection is a global collection, all layout controller have shared access to the same collection. Each report run (prepare, paginate, content-generate) uses its own context implementation - attributes are not shared or preserved among the different runs.
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getAttribute​(java.lang.Object key)` |
    `java.lang.String` | `getExportDescriptor()` |
    `org.pentaho.reporting.libraries.formula.FormulaContext` | `getFormulaContext()` |
    `LayoutControllerFactory` | `getLayoutControllerFactory()` |
    `ReportStructureRoot` | `getReportStructureRoot()` |
    `ResourceBundleFactory` | `getResourceBundleFactory()` |
    `void` | `setAttribute​(java.lang.Object key, java.lang.Object value)` |

- - ### Method Detail

    - #### getFormulaContext

          org.pentaho.reporting.libraries.formula.FormulaContext getFormulaContext()

    - #### getLayoutControllerFactory

          LayoutControllerFactory getLayoutControllerFactory()

    - #### getExportDescriptor

          java.lang.String getExportDescriptor()

    - #### getResourceBundleFactory

          ResourceBundleFactory getResourceBundleFactory()

    - #### getReportStructureRoot

          ReportStructureRoot getReportStructureRoot()

    - #### setAttribute

          void setAttribute​(java.lang.Object key,
                            java.lang.Object value)

    - #### getAttribute

          java.lang.Object getAttribute​(java.lang.Object key)